%define 	name		cloog-ppl
%define		sourcename	cloog-parma
%define		version		0.16.1
%define		release		%mkrel 1
%define		major		1
%define		libname		%mklibname cloog %major
%define		libnamedev	%mklibname -d cloog

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        The Chunky Loop Generator

Group:          System/Libraries
License:        GPLv2+
URL:            http://www.cloog.org
Source0:        ftp://gcc.gnu.org/pub/gcc/infrastructure/%{sourcename}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  ppl-devel >= 0.11
BuildRequires:  ppl_c-devel >= 0.11
BuildRequires:	gmp-devel
BuildRequires:	texinfo
Requires(post): info-install
Requires(preun): info-install

%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.

%package -n %{libname}
Summary: Parma Polyhedra Library backend (ppl) based version of the Cloog binaries
Group: Development/C

%description -n %{libname}
The dynamic shared libraries of the Chunky Loop Generator

%package -n %{libnamedev}
Summary:        Development tools for the ppl based version of Chunky Loop Generator
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:	gmp-devel
Requires:       ppl-devel >= 0.11
Requires:       ppl_c-devel >= 0.11
Provides: 	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
%description -n %{libnamedev}
The header files and dynamic shared libraries of the Chunky Loop Generator.

%prep
%setup -q -n %{sourcename}-%{version}

%build
%configure2_5x --with-ppl=system --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/%{_infodir}/dir %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig 
%_install_info %{name}.info

%postun -n %{libname}
/sbin/ldconfig 

%preun -n %{libname}
%_remove_install_info %{name}.info

%files 
%defattr(-,root,root,-)
%{_bindir}/cloog

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libcloog-ppl.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}/cloog
%{_libdir}/libcloog-ppl.so
%{_libdir}/pkgconfig/cloog-ppl.pc


%changelog
* Sun Jul 17 2011 Texstar <texstar at gmail.com> 0.16.1-1pclos2011
- 0.16.1 for gcc 4.6.1

